summaryrefslogtreecommitdiffstats
path: root/libraries/libgee1
diff options
context:
space:
mode:
author Matteo Bernardini2013-12-06 16:36:15 +0100
committer Erik Hanson2013-12-14 17:53:00 +0100
commitdd8f73e780d1aa428f55701f01d022aabf7ea31b (patch)
treef4ab8295f2fc3510acb43eacb550aa7b1c60f0d8 /libraries/libgee1
parent4ea056561a146f25bc136963ef9cb4fd07ec14e5 (diff)
downloadslackbuilds-dd8f73e780d1aa428f55701f01d022aabf7ea31b.tar.gz
libraries/libgee1: Added (GObject-based interfaces and classes)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libgee1')
-rw-r--r--libraries/libgee1/README3
-rw-r--r--libraries/libgee1/libgee1.SlackBuild80
-rw-r--r--libraries/libgee1/libgee1.info10
-rw-r--r--libraries/libgee1/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/libgee1/README b/libraries/libgee1/README
new file mode 100644
index 0000000000..3c0412f76e
--- /dev/null
+++ b/libraries/libgee1/README
@@ -0,0 +1,3 @@
+libgee1 is a collection library providing GObject-based interfaces
+and classes for commonly used data structures.
+This script builds the libgee-1.0 branch.
diff --git a/libraries/libgee1/libgee1.SlackBuild b/libraries/libgee1/libgee1.SlackBuild
new file mode 100644
index 0000000000..77856055f4
--- /dev/null
+++ b/libraries/libgee1/libgee1.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for libgee1
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=libgee1
+SRCNAM=libgee
+VERSION=${VERSION:-0.6.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-silent-rules \
+ --enable-introspection=auto \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgee1/libgee1.info b/libraries/libgee1/libgee1.info
new file mode 100644
index 0000000000..325fffecde
--- /dev/null
+++ b/libraries/libgee1/libgee1.info
@@ -0,0 +1,10 @@
+PRGNAM="libgee1"
+VERSION="0.6.8"
+HOMEPAGE="http://live.gnome.org/Libgee"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/libgee/0.6/libgee-0.6.8.tar.xz"
+MD5SUM="2688c24f9a12e7616ee808f9092d0afe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="vala"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/libgee1/slack-desc b/libraries/libgee1/slack-desc
new file mode 100644
index 0000000000..7170651656
--- /dev/null
+++ b/libraries/libgee1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libgee1: libgee1 (GObject-based interfaces and classes)
+libgee1:
+libgee1: libgee is a collection library providing GObject-based interfaces and
+libgee1: classes for commonly used data structures.
+libgee1: This script build the libgee-1.0 branch.
+libgee1:
+libgee1: Homepage: http://live.gnome.org/Libgee
+libgee1:
+libgee1:
+libgee1:
+libgee1: